
From: Steven Cole <elenstev@mesatop.com>

Without the attached patch, the ver_linux script gives
the following if udev utils are not present.

./scripts/ver_linux: line 90: udevinfo: command not found

The patch causes ver_linux to be silent in the case of
no udevinfo command.

Signed-off-by: Steven Cole <elenstev@mesatop.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/ver_linux |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN scripts/ver_linux~fix-ver_linux-script-for-no-udev-utils scripts/ver_linux
--- 25/scripts/ver_linux~fix-ver_linux-script-for-no-udev-utils	Wed Mar 30 15:15:55 2005
+++ 25-akpm/scripts/ver_linux	Wed Mar 30 15:15:55 2005
@@ -87,7 +87,7 @@ loadkeys -V 2>&1 | awk \
 
 expr --v 2>&1 | awk 'NR==1{print "Sh-utils              ", $NF}'
 
-udevinfo -V | awk '{print "udev                  ", $3}'
+udevinfo -V 2>&1 | grep version | awk '{print "udev                  ", $3}'
 
 if [ -e /proc/modules ]; then
     X=`cat /proc/modules | sed -e "s/ .*$//"`
_
